Name:    ktux
Summary: Tux-in-a-Spaceship screen saver
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdetoys/ktux
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kde-workspace-devel >= %{version}

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts:      kdetoys < 7:4.10.80

%description
KTux is a screensaver of outer space, with Tux in a spaceship flying by.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi


%files
%doc AUTHORS COPYING
%{_kde4_bindir}/ktux
%{_kde4_appsdir}/ktux/
%{_kde4_datadir}/kde4/services/ScreenSavers/ktux.desktop
%{_kde4_iconsdir}/hicolor/*/*/ktux.png


%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Sat Aug 31 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.11.0-2
- Don't obsolete kdetoys

* Tue Aug 27 2013 Martin Briza <mbriza@redhat.com> - 4.11.0-1
- Split off from kdetoys package
